Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.pubsub
Enum CollectionNode.LeafNodeAssociationPolicy

    java.lang.Object
      java.lang.Enum<CollectionNode.LeafNodeAssociationPolicy>
          org.jivesoftware.openfire.pubsub.CollectionNode.LeafNodeAssociationPolicy

All Implemented Interfaces:
  Serializable, Comparable<CollectionNode.LeafNodeAssociationPolicy>

Enclosing class:
  CollectionNode

    public static enum CollectionNode.LeafNodeAssociationPolicy

extends Enum<CollectionNode.LeafNodeAssociationPolicy>

Policy that defines who may associate leaf nodes with a collection.

Enum Constant Summary
`all` Anyone may associate leaf nodes with the collection.
`owners` Only collection node owners may associate leaf nodes with the collection.
`whitelist` Only those on a whitelist may associate leaf nodes with the collection.

Method Summary
`static CollectionNode.LeafNodeAssociationPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CollectionNode.LeafNodeAssociationPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### all

    public static final CollectionNode.LeafNodeAssociationPolicy all

  Anyone may associate leaf nodes with the collection.

### owners

    public static final CollectionNode.LeafNodeAssociationPolicy owners

  Only collection node owners may associate leaf nodes with the collection.

### whitelist

    public static final CollectionNode.LeafNodeAssociationPolicy whitelist

  Only those on a whitelist may associate leaf nodes with the collection.

Method Detail

### values

    public static final CollectionNode.LeafNodeAssociationPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CollectionNode.LeafNodeAssociationPolicy c : CollectionNode.LeafNodeAssociationPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CollectionNode.LeafNodeAssociationPolicy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.